org.keycloak.protocol

## Class ProtocolMapperConfigException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.keycloak.protocol.ProtocolMapperConfigException

- All Implemented Interfaces:
    Serializable

      public class ProtocolMapperConfigException
      extends Exception

  Author:
    Marek Posolda
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ProtocolMapperConfigException(String message)`
    `ProtocolMapperConfigException(String message, Object... parameters)`
    `ProtocolMapperConfigException(String message, String messageKey)`
    `ProtocolMapperConfigException(String messageKey, String message, Object... parameters)`
    `ProtocolMapperConfigException(String message, String messageKey, Throwable cause)`
    `ProtocolMapperConfigException(String message, Throwable cause)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getMessageKey()`
    `Object[]` | `getParameters()`
    `void` | `setParameters(Object[] parameters)`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ProtocolMapperConfigException

          public ProtocolMapperConfigException(String message)

    - #### ProtocolMapperConfigException

          public ProtocolMapperConfigException(String message,
                                               String messageKey)

    - #### ProtocolMapperConfigException

          public ProtocolMapperConfigException(String message,
                                               Throwable cause)

    - #### ProtocolMapperConfigException

          public ProtocolMapperConfigException(String message,
                                               String messageKey,
                                               Throwable cause)

    - #### ProtocolMapperConfigException

          public ProtocolMapperConfigException(String message,
                                               Object... parameters)

    - #### ProtocolMapperConfigException

          public ProtocolMapperConfigException(String messageKey,
                                               String message,
                                               Object... parameters)

  - ### Method Detail

    - #### getMessageKey

          public String getMessageKey()

    - #### getParameters

          public Object[] getParameters()

    - #### setParameters

          public void setParameters(Object[] parameters)

Copyright © 2021 JBoss by Red Hat. All rights reserved.